<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>screenlets.plugins.Mail.IMAPBackend</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="screenlets-module.html">Package&nbsp;screenlets</a> ::
        <a href="screenlets.plugins-module.html">Package&nbsp;plugins</a> ::
        <a href="screenlets.plugins.Mail-module.html">Module&nbsp;Mail</a> ::
        Class&nbsp;IMAPBackend
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="screenlets.plugins.Mail.IMAPBackend-class.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class IMAPBackend</h1><span class="codelink"><a href="screenlets.plugins.Mail-pysrc.html#IMAPBackend">source&nbsp;code</a></span><br /><br />
<pre class="base-tree">
     object --+        
              |        
gobject.GObject --+    
                  |    
   <a href="screenlets.plugins.Mail.MailCheckBackend-class.html">MailCheckBackend</a> --+
                      |
                     <strong class="uidshort">IMAPBackend</strong>
</pre>

<hr />
A backend for retrieving the mailcount from an IMAP server.<br /><br />

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.plugins.Mail.IMAPBackend-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">screenlet</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.plugins.Mail-pysrc.html#IMAPBackend.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.plugins.Mail.IMAPBackend-class.html#check_mail" class="summary-sig-name">check_mail</a>(<span class="summary-sig-arg">self</span>)</span><br />
      This handler should be overridden by subclasses to add new types 
      of checking mails in a backend.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.plugins.Mail-pysrc.html#IMAPBackend.check_mail">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.plugins.Mail.IMAPBackend-class.html#stop" class="summary-sig-name">stop</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Stop receiving mails from the backend.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.plugins.Mail-pysrc.html#IMAPBackend.stop">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="screenlets.plugins.Mail.MailCheckBackend-class.html">MailCheckBackend</a></code></b>:
      <code><a href="screenlets.plugins.Mail.MailCheckBackend-class.html#start">start</a></code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gobject.GObject</code></b>:
      <code>__cmp__</code>,
      <code>__delattr__</code>,
      <code>__gdoc__</code>,
      <code>__gobject_init__</code>,
      <code>__hash__</code>,
      <code>__new__</code>,
      <code>__repr__</code>,
      <code>__setattr__</code>,
      <code>chain</code>,
      <code>connect</code>,
      <code>connect_after</code>,
      <code>connect_object</code>,
      <code>connect_object_after</code>,
      <code>disconnect</code>,
      <code>disconnect_by_func</code>,
      <code>emit</code>,
      <code>emit_stop_by_name</code>,
      <code>freeze_notify</code>,
      <code>get_data</code>,
      <code>get_properties</code>,
      <code>get_property</code>,
      <code>handler_block</code>,
      <code>handler_block_by_func</code>,
      <code>handler_disconnect</code>,
      <code>handler_is_connected</code>,
      <code>handler_unblock</code>,
      <code>handler_unblock_by_func</code>,
      <code>notify</code>,
      <code>props</code>,
      <code>set_data</code>,
      <code>set_properties</code>,
      <code>set_property</code>,
      <code>stop_emission</code>,
      <code>thaw_notify</code>,
      <code>weak_ref</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__getattribute__</code>,
      <code>__reduce__</code>,
      <code>__reduce_ex__</code>,
      <code>__str__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== CLASS VARIABLES ==================== -->
<a name="section-ClassVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Class Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-ClassVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="screenlets.plugins.Mail.MailCheckBackend-class.html">MailCheckBackend</a></code></b>:
      <code><a href="screenlets.plugins.Mail.MailCheckBackend-class.html#__gsignals__">__gsignals__</a></code>,
      <code><a href="screenlets.plugins.Mail.MailCheckBackend-class.html#__gtype__">__gtype__</a></code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== PROPERTIES ==================== -->
<a name="section-Properties"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Properties</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Properties"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>gobject.GObject</code></b>:
      <code>__grefcount__</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__class__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">screenlet</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets.plugins.Mail-pysrc.html#IMAPBackend.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  
  <dl class="fields">
    <dt>Overrides:
      <a href="screenlets.plugins.Mail.MailCheckBackend-class.html#__init__">MailCheckBackend.__init__</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="check_mail"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">check_mail</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets.plugins.Mail-pysrc.html#IMAPBackend.check_mail">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  This handler should be overridden by subclasses to add new types of 
  checking mails in a backend. This handler has to set self.mailcount to 
  the number of mails found in the backend. The return value is ignored, 
  set self.error and self.status to return results.
  <dl class="fields">
    <dt>Overrides:
      <a href="screenlets.plugins.Mail.MailCheckBackend-class.html#check_mail">MailCheckBackend.check_mail</a>
        <dd><em class="note">(inherited documentation)</em></dd>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="stop"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">stop</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets.plugins.Mail-pysrc.html#IMAPBackend.stop">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  Stop receiving mails from the backend.  This should be overridden by 
  subclasses.
  <dl class="fields">
    <dt>Overrides:
      <a href="screenlets.plugins.Mail.MailCheckBackend-class.html#stop">MailCheckBackend.stop</a>
        <dd><em class="note">(inherited documentation)</em></dd>
    </dt>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0beta1 on Wed Jun  4 18:52:58 2008
    </td>
    <td align="right" class="footer">
      <a href="http://epydoc.sourceforge.net">http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie()
  // -->
</script>
  
</body>
</html>
